commit: 579272022e50f45bd91ac706963a266d3a3519d3
Author: Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
AuthorDate: Wed May 20 07:00:59 2020 +0000
Commit: Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Wed May 20 07:00:59 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57927202
www-servers/uwsgi: invalid IUSE semantics fixes #695146
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alexys Jacob <ultrabug <AT> gentoo.org>
www-servers/uwsgi/metadata.xml | 4 ++--
www-servers/uwsgi/uwsgi-2.0.17.1-r1.ebuild | 20 ++++++++++----------
www-servers/uwsgi/uwsgi-2.0.17.ebuild | 16 ++++++++--------
www-servers/uwsgi/uwsgi-2.0.18.ebuild | 20 ++++++++++----------
4 files changed, 30 insertions(+), 30 deletions(-)
diff --git a/www-servers/uwsgi/metadata.xml b/www-servers/uwsgi/metadata.xml
index 8981ee1518d..188e432b023 100644
--- a/www-servers/uwsgi/metadata.xml
+++ b/www-servers/uwsgi/metadata.xml
@@ -8,8 +8,8 @@
<flag name="embedded">Embed plugins instead of building them as
real plugins. When disabling this USE flag make sure you specify all used
plugins in your uWSGI configuration. Note: Language plugins will always be
built as real plugins.</flag>
<flag name="go">Build the gccgo plugin to run Go
applications.</flag>
<flag name="json">Support json as a configuration file
format.</flag>
- <flag name="python_asyncio">Use the EXPERIMENTAL asyncio
(tulip) for python3.4 async request dispatching and as LoopEngine (see
http://uwsgi-docs.readthedocs.org/en/latest/asyncio.html).</flag>
- <flag name="python_gevent">Use <pkg>dev-python/gevent</pkg> for
async request dispatching and as LoopEngine (see
http://projects.unbit.it/uwsgi/wiki/Gevent).</flag>
+ <flag name="python-asyncio">Use the EXPERIMENTAL asyncio
(tulip) for python3.4 async request dispatching and as LoopEngine (see
http://uwsgi-docs.readthedocs.org/en/latest/asyncio.html).</flag>
+ <flag name="python-gevent">Use <pkg>dev-python/gevent</pkg> for
async request dispatching and as LoopEngine (see
http://projects.unbit.it/uwsgi/wiki/Gevent).</flag>
<flag name="routing">Enable routing support</flag>
<flag name="yaml">Support yaml as a configuration file
format.</flag>
<flag name="yajl">Use <pkg>dev-libs/yajl</pkg> instead of
<pkg>dev-libs/jansson</pkg> for parsing JSON configuration files (if USe=json
is set)</flag>
diff --git a/www-servers/uwsgi/uwsgi-2.0.17.1-r1.ebuild
b/www-servers/uwsgi/uwsgi-2.0.17.1-r1.ebuild
index e0ae7ed0b2c..4583d282610 100644
--- a/www-servers/uwsgi/uwsgi-2.0.17.1-r1.ebuild
+++ b/www-servers/uwsgi/uwsgi-2.0.17.1-r1.ebuild
@@ -42,7 +42,7 @@ UWSGI_PLUGINS_OPT=( alarm_{curl,xmpp}
clock_{monotonic,realtime} curl_cron
systemd_logger transformation_toupper tuntap webdav xattr xslt zabbix )
LANG_SUPPORT_SIMPLE=( cgi mono perl ) # plugins which can be built in the main
build process
-LANG_SUPPORT_EXTENDED=( go lua php python python_asyncio python_gevent ruby )
+LANG_SUPPORT_EXTENDED=( go lua php python python-asyncio python-gevent ruby )
# plugins to be ignored (for now):
# cheaper_backlog2: example plugin
@@ -68,8 +68,8 @@ REQUIRED_USE="|| ( ${LANG_SUPPORT_SIMPLE[@]}
${LANG_SUPPORT_EXTENDED[@]} )
uwsgi_plugins_forkptyrouter? ( uwsgi_plugins_corerouter )
uwsgi_plugins_router_xmldir? ( xml !expat )
python? ( ${PYTHON_REQUIRED_USE} )
- python_asyncio? ( || ( $(python_gen_useflags -3) ) )
- python_gevent? ( python )
+ python-asyncio? ( || ( $(python_gen_useflags -3) ) )
+ python-gevent? ( python )
expat? ( xml )"
# util-linux is required for libuuid when requesting zeromq support
@@ -120,8 +120,8 @@ CDEPEND="
php_targets_php7-4? ( dev-lang/php:7.4[embed] )
)
python? ( ${PYTHON_DEPS} )
- python_asyncio? ( virtual/python-greenlet[${PYTHON_USEDEP}] )
- python_gevent? ( >=dev-python/gevent-1.3.5[${PYTHON_USEDEP}] )
+ python-asyncio? ( virtual/python-greenlet[${PYTHON_USEDEP}] )
+ python-gevent? ( >=dev-python/gevent-1.3.5[${PYTHON_USEDEP}] )
ruby? ( $(ruby_implementations_depend) )"
DEPEND="${CDEPEND}
virtual/pkgconfig"
@@ -244,17 +244,17 @@ python_compile_plugins() {
${PYTHON} uwsgiconfig.py --plugin plugins/python gentoo ${EPYV} || die
"building plugin for ${EPYTHON} failed"
- if use python_asyncio ; then
+ if use python-asyncio ; then
if [[ "${PYV}" != "27" ]] ; then
${PYTHON} uwsgiconfig.py --plugin plugins/asyncio
gentoo asyncio${PYV} || die "building plugin for asyncio-support in ${EPYTHON}
failed"
fi
fi
- if use python_gevent ; then
+ if use python-gevent ; then
${PYTHON} uwsgiconfig.py --plugin plugins/gevent gentoo
gevent${PYV} || die "building plugin for gevent-support in ${EPYTHON} failed"
fi
- if use python_gevent || use python_asyncio; then
+ if use python-gevent || use python-asyncio; then
${PYTHON} uwsgiconfig.py --plugin plugins/greenlet
gentoo greenlet${PYV} || die "building plugin for greenlet-support in
${EPYTHON} failed"
fi
}
@@ -352,14 +352,14 @@ pkg_postinst() {
elog " "
elog " '--plugins ${EPYV}' for ${EPYTHON}"
- if use python_asyncio ; then
+ if use python-asyncio ; then
if [[ ${EPYV} == python34 ]] ; then
elog " '--plugins ${EPYV},asyncio${PYV}' for
asyncio support in ${EPYTHON}"
else
elog " (asyncio is only supported in
python3.4)"
fi
fi
- if use python_gevent ; then
+ if use python-gevent ; then
elog " '--plugins ${EPYV},gevent${PYV}' for gevent
support in ${EPYTHON}"
fi
}
diff --git a/www-servers/uwsgi/uwsgi-2.0.17.ebuild
b/www-servers/uwsgi/uwsgi-2.0.17.ebuild
index ad6e1a1cb3a..6aca5bcd7fb 100644
--- a/www-servers/uwsgi/uwsgi-2.0.17.ebuild
+++ b/www-servers/uwsgi/uwsgi-2.0.17.ebuild
@@ -42,7 +42,7 @@ UWSGI_PLUGINS_OPT=( alarm_{curl,xmpp}
clock_{monotonic,realtime} curl_cron
systemd_logger transformation_toupper tuntap webdav xattr xslt zabbix )
LANG_SUPPORT_SIMPLE=( cgi perl ) # plugins which can be built in the main
build process
-LANG_SUPPORT_EXTENDED=( go lua php python python_asyncio python_gevent ruby )
+LANG_SUPPORT_EXTENDED=( go lua php python python-asyncio python-gevent ruby )
# plugins to be ignored (for now):
# cheaper_backlog2: example plugin
@@ -68,8 +68,8 @@ REQUIRED_USE="|| ( ${LANG_SUPPORT_SIMPLE[@]}
${LANG_SUPPORT_EXTENDED[@]} )
uwsgi_plugins_forkptyrouter? ( uwsgi_plugins_corerouter )
uwsgi_plugins_router_xmldir? ( xml !expat )
python? ( ${PYTHON_REQUIRED_USE} )
- python_asyncio? ( || ( $(python_gen_useflags -3) ) python_gevent )
- python_gevent? ( python )
+ python-asyncio? ( || ( $(python_gen_useflags -3) ) python-gevent )
+ python-gevent? ( python )
expat? ( xml )"
# util-linux is required for libuuid when requesting zeromq support
@@ -114,7 +114,7 @@ CDEPEND="sys-libs/zlib
php_targets_php7-4? ( dev-lang/php:7.4[embed] )
)
python? ( ${PYTHON_DEPS} )
- python_gevent? ( >=dev-python/gevent-1.2.1[${PYTHON_USEDEP}] )
+ python-gevent? ( >=dev-python/gevent-1.2.1[${PYTHON_USEDEP}] )
ruby? ( $(ruby_implementations_depend) )"
DEPEND="${CDEPEND}
virtual/pkgconfig"
@@ -246,13 +246,13 @@ python_compile_plugins() {
${PYTHON} uwsgiconfig.py --plugin plugins/python gentoo ${EPYV} || die
"building plugin for ${EPYTHON} failed"
- if use python_asyncio ; then
+ if use python-asyncio ; then
if [[ "${PYV}" == "34" || "${PYV}" == "35" ]] ; then
${PYTHON} uwsgiconfig.py --plugin plugins/asyncio
gentoo asyncio${PYV} || die "building plugin for asyncio-support in ${EPYTHON}
failed"
fi
fi
- if use python_gevent ; then
+ if use python-gevent ; then
${PYTHON} uwsgiconfig.py --plugin plugins/gevent gentoo
gevent${PYV} || die "building plugin for gevent-support in ${EPYTHON} failed"
fi
}
@@ -364,14 +364,14 @@ pkg_postinst() {
elog " "
elog " '--plugins ${EPYV}' for ${EPYTHON}"
- if use python_asyncio ; then
+ if use python-asyncio ; then
if [[ ${EPYV} == python34 ]] ; then
elog " '--plugins ${EPYV},asyncio${PYV}' for
asyncio support in ${EPYTHON}"
else
elog " (asyncio is only supported in
python3.4)"
fi
fi
- if use python_gevent ; then
+ if use python-gevent ; then
elog " '--plugins ${EPYV},gevent${PYV}' for gevent
support in ${EPYTHON}"
fi
}
diff --git a/www-servers/uwsgi/uwsgi-2.0.18.ebuild
b/www-servers/uwsgi/uwsgi-2.0.18.ebuild
index 53316bf30aa..caaa3860314 100644
--- a/www-servers/uwsgi/uwsgi-2.0.18.ebuild
+++ b/www-servers/uwsgi/uwsgi-2.0.18.ebuild
@@ -42,7 +42,7 @@ UWSGI_PLUGINS_OPT=( alarm_{curl,xmpp}
clock_{monotonic,realtime} curl_cron
systemd_logger transformation_toupper tuntap webdav xattr xslt zabbix )
LANG_SUPPORT_SIMPLE=( cgi mono perl ) # plugins which can be built in the main
build process
-LANG_SUPPORT_EXTENDED=( go lua php python python_asyncio python_gevent ruby )
+LANG_SUPPORT_EXTENDED=( go lua php python python-asyncio python-gevent ruby )
# plugins to be ignored (for now):
# cheaper_backlog2: example plugin
@@ -68,8 +68,8 @@ REQUIRED_USE="|| ( ${LANG_SUPPORT_SIMPLE[@]}
${LANG_SUPPORT_EXTENDED[@]} )
uwsgi_plugins_forkptyrouter? ( uwsgi_plugins_corerouter )
uwsgi_plugins_router_xmldir? ( xml !expat )
python? ( ${PYTHON_REQUIRED_USE} )
- python_asyncio? ( || ( $(python_gen_useflags -3) ) )
- python_gevent? ( python )
+ python-asyncio? ( || ( $(python_gen_useflags -3) ) )
+ python-gevent? ( python )
expat? ( xml )"
# util-linux is required for libuuid when requesting zeromq support
@@ -121,8 +121,8 @@ CDEPEND="
php_targets_php7-4? ( dev-lang/php:7.4[embed] )
)
python? ( ${PYTHON_DEPS} )
- python_asyncio? ( virtual/python-greenlet[${PYTHON_USEDEP}] )
- python_gevent? ( >=dev-python/gevent-1.3.5[${PYTHON_USEDEP}] )
+ python-asyncio? ( virtual/python-greenlet[${PYTHON_USEDEP}] )
+ python-gevent? ( >=dev-python/gevent-1.3.5[${PYTHON_USEDEP}] )
ruby? ( $(ruby_implementations_depend) )"
DEPEND="${CDEPEND}
virtual/pkgconfig"
@@ -245,17 +245,17 @@ python_compile_plugins() {
${PYTHON} uwsgiconfig.py --plugin plugins/python gentoo ${EPYV} || die
"building plugin for ${EPYTHON} failed"
- if use python_asyncio ; then
+ if use python-asyncio ; then
if [[ "${PYV}" != "27" ]] ; then
${PYTHON} uwsgiconfig.py --plugin plugins/asyncio
gentoo asyncio${PYV} || die "building plugin for asyncio-support in ${EPYTHON}
failed"
fi
fi
- if use python_gevent ; then
+ if use python-gevent ; then
${PYTHON} uwsgiconfig.py --plugin plugins/gevent gentoo
gevent${PYV} || die "building plugin for gevent-support in ${EPYTHON} failed"
fi
- if use python_gevent || use python_asyncio; then
+ if use python-gevent || use python-asyncio; then
${PYTHON} uwsgiconfig.py --plugin plugins/greenlet
gentoo greenlet${PYV} || die "building plugin for greenlet-support in
${EPYTHON} failed"
fi
}
@@ -353,14 +353,14 @@ pkg_postinst() {
elog " "
elog " '--plugins ${EPYV}' for ${EPYTHON}"
- if use python_asyncio ; then
+ if use python-asyncio ; then
if [[ ${EPYV} == python34 ]] ; then
elog " '--plugins ${EPYV},asyncio${PYV}' for
asyncio support in ${EPYTHON}"
else
elog " (asyncio is only supported in
python3.4)"
fi
fi
- if use python_gevent ; then
+ if use python-gevent ; then
elog " '--plugins ${EPYV},gevent${PYV}' for gevent
support in ${EPYTHON}"
fi
}